COREDNS(1)

COREDNS

coredns - pluggable DNS nameserver optimized for service discovery and flexibility.

SYNOPSIS

coredns [-conf FILE] [-dns.port PORT} [OPTION]...

DESCRIPTION

CoreDNS is a DNS server that chains plugins. Each plugin handles a DNS feature, like rewriting queries, kubernetes service discovery or just exporting metrics. There are many other plugins, each described on https://coredns.io/plugins ⟨https://coredns.io/plugins⟩ and their respective manual pages. Plugins not bundled by default in CoreDNS are listed on https://coredns.io/explugins ⟨https://coredns.io/explugins⟩.

When started without options CoreDNS will look for a file named Corefile in the current directory, if found, it will parse its contents and start up accordingly. If no Corefile is found it will start with the whoami plugin (coredns-whoami(7)) and start listening on port 53 (unless overridden with -dns.port).

Available options:

-conf FILE
    specify Corefile to load, if not given CoreDNS will look for a Corefile in the current directory.

-dns.port PORT or -p PORT
    override default port (53) to listen on.

-pidfile FILE
    write PID to FILE.

-plugins
    list all plugins and quit.

-quiet
    don't print any version and port information on startup.

-version
    show version and quit.

-windows-service
    run as a Windows service (only available on Windows builds, default false).

AUTHORS

CoreDNS Authors.

COPYRIGHT

Apache License 2.0

SEE ALSO

Corefile(5) coredns-acl(7) coredns-any(7) coredns-auto(7) coredns-autopath(7) coredns-azure(7) coredns-bind(7) coredns-bufsize(7) coredns-cache(7) coredns-cancel(7) coredns-chaos(7) coredns-clouddns(7) coredns-debug(7) coredns-dns64(7) coredns-dnssec(7) coredns-dnstap(7) coredns-erratic(7) coredns-errors(7) coredns-etcd(7) coredns-file(7) coredns-forward(7) coredns-geoip(7) coredns-grpc(7) coredns-grpcserver(7) coredns-header(7) coredns-health(7) coredns-hosts(7) coredns-https(7) coredns-https3(7) coredns-import(7) coredns-k8sexternal(7) coredns-kubernetes(7) coredns-loadbalance(7) coredns-local(7) coredns-log(7) coredns-loop(7) coredns-metadata(7) coredns-metrics(7) coredns-minimal(7) coredns-multisocket(7) coredns-nomad(7) coredns-nsid(7) coredns-pprof(7) coredns-proxyproto(7) coredns-quic(7) coredns-ready(7) coredns-reload(7) coredns-rewrite(7) coredns-root(7) coredns-route53(7) coredns-secondary(7) coredns-sign(7) coredns-template(7) coredns-timeouts(7) coredns-tls(7) coredns-trace(7) coredns-transfer(7) coredns-tsig(7) coredns-view(7) coredns-whoami(7).